Scan for new music at start up
June 01, 2018 11:06 - RJ Smith

Status: Closed Start date: June 01, 2018
Priority: Minor Due date:

Assignee: % Done: 100%
Category: plugins/search tool Estimated time: 0.00 hour
Target version: 3.10

Affects version: 3.8

Description

Is there not a feature for this?

I'm constantly adding music to my music file and when turning on Audacious. It's out of date with what | have. :(

| can redo my playlist but with over 1Tb of music that is a 48-minute wait. To long. If this was the 1980's | could go to the record store
and get back home and play the alboum on my turntable faster.

There has got to be something I'm missing here.

Hand down Audacious is the best sounding player I've tried and I've tried a lot of them. Plus to have the cover art full screen is a
dream come true.

If there is no scan for new files at startup there has to be something | can click on that will do it faster then regenerating my playlist,
but I'm not seeing it. I'm using 3.8 version.

History

#1 - June 01, 2018 22:13 - John Lindgren

This is what the Search Tool plugin and its "refresh” feature are for. It's not perfect, but give it try if you've never used it before. It might help.

#2 - June 04, 2018 15:34 - RJ Smith

Oh! Nice. Way faster and it looks like it did a good pick up on the newly added tracks.
| also have the QT 3.8 version clicked Refresh and after 40 minutes it's still going. It looks like it's just redoing the complete playlist rather than just
add the missing files. That's a big fail for the newer version.

An auto search for new files at the start-up is still the way to go. Why should we have to do it when other players with crappy sound quality can do that
is a few seconds? The code can't be that hard to make. Wish | know how to write things like that. | would be on it.

If it had that feature | would not get the same response everytime someone asks me what player do you use.

Me: | use Audacious it has the best sound quality of any player.

them: I've never heard of it.

Me: the only drag is it does not search for new files at the start. You have to do that.

them: Oh that's why I've never heard of it. it's out of date.

The same thing happens when | have people are over and they hear the sound quality. It's "my player doesn't sound that good?"
It always ends the same way. | have to suggest another player other than Audacious to them. :(

It is truly a shame this one feature holds audacious down to the B-list of player when it's the best sounding one out there.

One other thing.

Is there detailed info page or videos about the player? videos would be helpful to everyone.
I have found some info pages but most are incomplete or just badly written.

Thanks.
#3 - June 06, 2018 03:05 - John Lindgren

| also have the QT 3.8 version clicked Refresh and after 40 minutes it's still going.

It's a bit confusing because there are two different types of "refresh". The "refresh" icon-button in the Search Tool pane will scan for new files.
Playlist -> Refresh from the menu bar will reload metadata for the whole playlist (and will not scan for new files).

The Qt interface is no different from the GTK interface in this regard.

#4 - June 14, 2018 05:14 - RJ Smith

Ok, good to know. Yeah on my QT 3.8 version | just have two windows left is cover art, right side is the playlist everything else is off screen so | went
to the menu bar and clicked that refresh. Then hung my head. lol

We still need an auto on start-up Then | can turn people on the best sound player out there. Without them complaining about having to do other things
before clicking play. It's truly sad that most all other players can do this and sound like the music is coming out if a coffee can. When we that truly can
hear the quality can't. 2018 and we are behind with something so simple. Let alone the unwillingness to even consider. When chatting with the
makers They get a bit rude about it.

would be the number one downloaded plug-in, for the player in no time.

#5 - June 14, 2018 16:55 - John Lindgren
- % Done changed from 0 to 100

- Target version set to 3.10

- Priority changed from Major to Minor

- Status changed from New to Closed

- Category set to plugins/search tool

- Tracker changed from Support to Feature

https://github.com/audacious-media-player/audacious-plugins/commit/5e2{89d63bdeaf6c0834838fde0346097e76fc5d

#6 - June 14, 2018 16:58 - John Lindgren
